version: '3'

networks:
  kong-net:
    name: kong-net

services:
  easy2track.planblick.svc:
    build: .
    image: easy2track
    environment:
      - APIGATEWAY_ADMIN_INTERNAL_BASEURL=${APIGATEWAY_ADMIN_INTERNAL_BASEURL}
      - INTERNAL_API_BASE_URL=https://kong.planblick.svc:8001
      - DB_HOST=mysql.planblick.svc
      - DB_PORT=${MYSQL_PORT}
      - DB_DRIVER=mysql+pymysql
      - DB_USER=${MYSQL_USER}
      - DB_PASSWORD=${MYSQL_PASSWORD}
      - DB_NAME=easy2track
      - DB_DEBUG="no"
      - MQ_HOST=rabbitmq.planblick.svc
      - MQ_USERNAME=${RABBITMQ_DEFAULT_USER}
      - MQ_PASSWORD=${RABBITMQ_DEFAULT_PASS}
      - MQ_PORT=5672
      - MQ_VHOST=/
      - SMTP_HOST=smtpsink.planblick.svc
      - SMTP_PORT=10025
      - SMTP_AUTH_NEEDED=false
      - SMTP_SSL=false
      - SMTP_USERNAME=
      - SMTP_PASSWORD=
      - MAIL_CERTIFICATES_KEY_PATH=
      - MAIL_CERTIFICATES_CRT_PATH=
    healthcheck:
      test: [ "CMD-SHELL", "wget -O /dev/null -o /dev/null http://127.0.0.1:8000/healthz" ]
      interval: 10s
      timeout: 10s
      retries: 12
    restart: always
    networks:
      - kong-net
    stdin_open: true
    tty: true
    ports:
    - "18000:8000"
    volumes:
    - ./src/app:/src/app